'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var ReactInlineEditableField = function (_React$Component) {
  _inherits(ReactInlineEditableField, _React$Component);

  function ReactInlineEditableField(props, context) {
    _classCallCheck(this, ReactInlineEditableField);

    var _this = _possibleConstructorReturn(this, (ReactInlineEditableField.__proto__ || Object.getPrototypeOf(ReactInlineEditableField)).call(this, props, context));

    _this.props = props;
    _this.state = {
      editing: false
    };
    return _this;
  }

  _createClass(ReactInlineEditableField, [{
    key: 'onBlur',
    value: function onBlur() {
      if (typeof this.props.onBlur === 'function') {
        try {
          this.props.onBlur(this.state.inputValue, this.state.inputValue != this.props.content);
        } catch (e) {
          console.error(e);
        }
      }
      this.setState({ editing: false });
    }
  }, {
    key: 'handleKeyUp',
    value: function handleKeyUp(e) {
      this.setState({ inputValue: e.target.value });
      if (e.key === "Enter") {
        this.onBlur();
      }
    }
  }, {
    key: 'createOptions',
    value: function createOptions(option) {
      return _react2.default.createElement(
        'option',
        { value: option },
        option
      );
    }
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      var options = this.props.options && this.props.options.map(function (option, idx) {
        return _react2.default.createElement(
          'option',
          { value: option },
          option
        );
      });

      if (!this.props.notEditable && this.state.editing) {
        if (this.props.inputType == "textarea") {
          var field = _react2.default.createElement('textarea', {
            autoFocus: true,
            rows: this.props.rows,
            placeholder: this.props.placeholder,
            defaultValue: this.props.content,
            style: this.props.inputStyle,
            onKeyUp: function onKeyUp(e) {
              _this2.handleKeyUp(e);
            }
          });
        } else {
          var field = _react2.default.createElement('input', {
            type: 'text',
            autoFocus: true,
            placeholder: this.props.placeholder,
            defaultValue: this.props.content,
            style: this.props.inputStyle,
            onKeyUp: function onKeyUp(e) {
              _this2.handleKeyUp(e);
            }
          });
        }
      } else {
        if (typeof this.props.displayRender === 'function') {
          var displayField = this.props.displayRender(this.props.content);
        } else if (!this.props.content) {
          var displayField = this.props.displayPlaceholder;
        } else {
          var displayField = this.props.content;
        }
        var field = _react2.default.createElement(
          'span',
          { className: this.props.className },
          displayField
        );
      }

      return _react2.default.createElement(
        'div',
        { style: this.props.style, className: this.props.className, onClick: function onClick(e) {
            _this2.setState({ editing: true });
          }, onBlur: function onBlur() {
            _this2.onBlur();
          } },
        field
      );
    }
  }]);

  return ReactInlineEditableField;
}(_react2.default.Component);

exports.default = ReactInlineEditableField;
